<?php
/**
 * Bridal Jewelry Store functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package bridal_jewelry_store
 */

$bridal_jewelry_store_theme_data = wp_get_theme();
if( ! defined( 'BRIDAL_JEWELRY_STORE_THEME_VERSION' ) ) define ( 'BRIDAL_JEWELRY_STORE_THEME_VERSION', $bridal_jewelry_store_theme_data->get( 'Version' ) );
if( ! defined( 'BRIDAL_JEWELRY_STORE_THEME_NAME' ) ) define( 'BRIDAL_JEWELRY_STORE_THEME_NAME', $bridal_jewelry_store_theme_data->get( 'Name' ) );
if( ! defined( 'BRIDAL_JEWELRY_STORE_THEME_TEXTDOMAIN' ) ) define( 'BRIDAL_JEWELRY_STORE_THEME_TEXTDOMAIN', $bridal_jewelry_store_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'BRIDAL_JEWELRY_STORE_VERSION' ) ) {
	define( 'BRIDAL_JEWELRY_STORE_VERSION', '1.0.0' );
}

if ( ! function_exists( 'bridal_jewelry_store_setup' ) ) :
	
	function bridal_jewelry_store_setup() {
		
		load_theme_textdomain( 'bridal-jewelry-store', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'bridal-jewelry-store' ),
				'social'  => esc_html__( 'Social', 'bridal-jewelry-store' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'bridal_jewelry_store_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		require get_parent_theme_file_path( '/theme-wizard/config.php' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );
		
	}
endif;
add_action( 'after_setup_theme', 'bridal_jewelry_store_setup' );

function bridal_jewelry_store_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'bridal_jewelry_store_content_width', 640 );
}
add_action( 'after_setup_theme', 'bridal_jewelry_store_content_width', 0 );

function bridal_jewelry_store_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'bridal-jewelry-store' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'bridal-jewelry-store' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$bridal_jewelry_store_footer_widget_column = get_theme_mod('bridal_jewelry_store_footer_widget_column','4');
	for ($bridal_jewelry_store_i=1; $bridal_jewelry_store_i<=$bridal_jewelry_store_footer_widget_column; $bridal_jewelry_store_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'bridal-jewelry-store' )  . $bridal_jewelry_store_i,
			'id' => 'bridal-jewelry-store-footer-widget-' . $bridal_jewelry_store_i,
			'description' => __( 'The Footer Widget Area', 'bridal-jewelry-store' )  . $bridal_jewelry_store_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'bridal_jewelry_store_widgets_init' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'bridal_jewelry_store_products_per_page' );
function bridal_jewelry_store_products_per_page( $cols ) {
  	return  get_theme_mod( 'bridal_jewelry_store_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'bridal_jewelry_store_loop_columns');
	if (!function_exists('bridal_jewelry_store_loop_columns')) {
	function bridal_jewelry_store_loop_columns() {
		return get_theme_mod( 'bridal_jewelry_store_products_per_row', 3 );
	}
}

/**
 * Enqueue scripts and styles.
 */
function bridal_jewelry_store_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Owl Carousel style.
	wp_enqueue_style( 'owl-carousel-style', get_template_directory_uri() . '/resource/css/owl.carousel.css', array(), '2.2.1' );

	// Main style.
	wp_enqueue_style( 'bridal-jewelry-store-style', get_template_directory_uri() . '/style.css', array(), BRIDAL_JEWELRY_STORE_VERSION );

	// RTL style.
	wp_style_add_data('bridal-jewelry-store-style', 'rtl', 'replace');

	if (get_theme_mod('bridal_jewelry_store_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	// Navigation script.
	wp_enqueue_script( 'bridal-jewelry-store-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), BRIDAL_JEWELRY_STORE_VERSION, true );

	// Slick script.
	wp_enqueue_script( 'slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Owl Carousel script.
	wp_enqueue_script( 'owl-carousel-script', get_template_directory_uri() . '/resource/js/owl.carousel.js', array( 'jquery' ), '2.1.6', true );

	// Custom script.
	wp_enqueue_script( 'bridal-jewelry-store-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), BRIDAL_JEWELRY_STORE_VERSION, true );


	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.  font-family: "Cinzel", serif; font-family: "Italiana", sans-serif; font-family: "Tenor Sans", sans-serif;
	wp_enqueue_style(
		'cinzel',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap' ),
		array(),
		'1.0'
	);

	wp_enqueue_style(
		'italiana',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Italiana&display=swap' ),
		array(),
		'1.0'
	);

	wp_enqueue_style(
		'tenor-sans',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Tenor+Sans&display=swap' ),
		array(),
		'1.0'
	);

}
add_action( 'wp_enqueue_scripts', 'bridal_jewelry_store_scripts' );

// Enqueue Customizer live preview script
function bridal_jewelry_store_customizer_live_preview() {
    wp_enqueue_script(
        'bridal-jewelry-store-customizer',
        get_template_directory_uri() . '/resource/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'bridal_jewelry_store_customizer_live_preview');

// Featured Image Dimension
function bridal_jewelry_store_blog_post_featured_image_dimension(){
	if(get_theme_mod('bridal_jewelry_store_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

function bridal_jewelry_store_links_setup() {
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_PREMIUM_PAGE' ) ) {
	define('BRIDAL_JEWELRY_STORE_PREMIUM_PAGE',__('https://asterthemes.com/products/jewelry-store-wordpress-theme','bridal-jewelry-store'));
	}
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_THEME_PAGE' ) ) {
		define('BRIDAL_JEWELRY_STORE_THEME_PAGE',__('https://asterthemes.com/products/bridal-jewelry-store','bridal-jewelry-store'));
	}
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_SUPPORT' ) ) {
	define('BRIDAL_JEWELRY_STORE_SUPPORT',__('https://wordpress.org/support/theme/bridal-jewelry-store/','bridal-jewelry-store'));
	}
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_REVIEW' ) ) {
	define('BRIDAL_JEWELRY_STORE_REVIEW',__('https://wordpress.org/support/theme/bridal-jewelry-store/reviews/','bridal-jewelry-store'));
	}
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_PRO_DEMO' ) ) {
	define('BRIDAL_JEWELRY_STORE_PRO_DEMO',__('https://demo.asterthemes.com/bridal-jewelry-store/','bridal-jewelry-store'));
	}
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_THEME_DOCUMENTATION' ) ) {
	define('BRIDAL_JEWELRY_STORE_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/bridal-jewelry-store-free/','bridal-jewelry-store'));
	}
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_PREMIUM_DOCUMENTATION' ) ) {
	define('BRIDAL_JEWELRY_STORE_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/bridal-jewelry-store-pro/','bridal-jewelry-store'));
	}
	if ( ! defined( 'BRIDAL_JEWELRY_STORE_BUNDLE_PAGE' ) ) {
		define('BRIDAL_JEWELRY_STORE_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','bridal-jewelry-store'));
	}
}
add_action('after_setup_theme', 'bridal_jewelry_store_links_setup');

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// Reset all theme settings
function bridal_jewelry_store_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('bridal_jewelry_store_enable_service_section');
		remove_theme_mod('bridal_jewelry_store_trending_product_heading');
		remove_theme_mod('bridal_jewelry_store_about_2_heading');
		remove_theme_mod('bridal_jewelry_store_about_left_image_2');
		remove_theme_mod('bridal_jewelry_store_about_2_button_link');
		remove_theme_mod('bridal_jewelry_store_banner_button_label_');
		remove_theme_mod('bridal_jewelry_store_banner_button_link_');
		remove_theme_mod('bridal_jewelry_store_enable_banner_section');

        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'bridal-jewelry-store')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'bridal-jewelry-store')));
    }
}
add_action('wp_ajax_bridal_jewelry_store_reset_demo_import_settings', 'bridal_jewelry_store_reset_demo_import_settings'); 